Epson L3110

Since I had a maintenance with my printer it only prints small characters on the right side. I am using the drivers from epson for linux, amd64. I tried to reinstall it and it is recognized. Any other users experiencing the same problem?

Did your layout settings change from the maintenance? What are your paper settings? I ask because it sounds like the layout configuration is defaulting to a label style print. I'll look more into this though.

Thank you for your fast reply. Paper size is set to A4 portrait,
Image quality 60x60dpi.
Simplescan works.

60x60dpi. That is very low res. Do you mean 600x600dpi?

Did you reboot after the maintenance? Did they replace something that was driver specific? What kind of maintenance did you get done (software/hardware)? Have you tried uninstalling and reinstalling the driver, maybe a newer version? Do you have the software installed specific to that printer?

@ak4007 should confirm, but "Maintenance" may just refer to Nozzle Check and/or Driver Update.

That's exactly the case.

The strange thing is that it worked perfectly before. I just had the nozzles flushed out. The problem is probably related to the printer daemon and driver. The printer prints fine is stand-alone.

I stumbled upon this. Driver Epson L3110 Ubuntu 18.04 How to Download & Install | tutorialforlinux.com

Seems a bit much just to get a printer to work. It describes going about installing L3110 driver from deb.
Note Zorin 15.3 is based on Ubuntu 18.04, so that should be same.

Question:
Does your Software Updater point to Main Server or a Country Server?
Change to Main Server if not already done.

Tried to reinstall the driver. Dpkg is complaining about dependencies.

sudo dpkg -i epson-inkjet-printer-escpr_1.7.9-1lsb3.2_amd64.deb
[sudo] password for anthony:
Selecting previously unselected package epson-inkjet-printer-escpr.
(Reading database ... 462565 files and directories currently installed.)
Preparing to unpack epson-inkjet-printer-escpr_1.7.9-1lsb3.2_amd64.deb ...
Unpacking epson-inkjet-printer-escpr (1.7.9-1lsb3.2) ...
dpkg: dependency problems prevent configuration of epson-inkjet-printer-escpr:
epson-inkjet-printer-escpr depends on lsb (>= 3.2); however:
Package lsb is not installed.

dpkg: error processing package epson-inkjet-printer-escpr (--install):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-0ubuntu1+zorin4) ...
Errors were encountered while processing:
epson-inkjet-printer-escpr

Can you enter into terminal

sudo apt --fix-broken install